package com.gxzc.zen.`fun`

import com.gxzc.zen.api.sys.model.SysDic
import com.gxzc.zen.api.sys.service.ISysDicService
import com.gxzc.zen.base.BaseTestKt
import org.junit.Test
import org.springframework.beans.factory.annotation.Autowired

/**
 *
 * @author NorthLan
 * @date 2018/1/30
 * @url https://noahlan.com
 */
class TestLogicDelete : BaseTestKt() {
    @Autowired
    private lateinit var sysDicService: ISysDicService

    @Test
    fun insertSysData() {
        sysDicService.insert(SysDic().also {
            it.key = "test"
            it.value = "testValue"
            it.sort = Integer(1)
        })
    }

    @Test
    fun testLogicDelete() {
        sysDicService.deleteById(1000L)
    }
}